# TODO: package lisp files?
#
# Conditional build:
%bcond_without	static_libs	# don't build static library
#
Summary:	Library libgpg-error
Summary(pl.UTF-8):	Biblioteka libgpg-error
Name:		libgpg-error
Version:	1.12
Release:	1
License:	LGPL v2.1+
Group:		Libraries
Source0:	ftp://ftp.gnupg.org/gcrypt/libgpg-error/%{name}-%{version}.tar.bz2
# Source0-md5:	8f0eb41a344d19ac2aa9bd101dfb9ce6
Patch0:		%{name}-pl.po-update.patch
URL:		http://www.gnupg.org/related_software/libgpg-error/
BuildRequires:	autoconf >= 2.59
BuildRequires:	automake >= 1:1.11
BuildRequires:	gettext-devel >= 0.17
BuildRequires:	libtool >= 2:2.2.6
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
libgpg-error is a library that defines common error values for all
GnuPG components. Among these are GPG, GPGSM, GPGME, GPG-Agent,
libgcrypt, pinentry, SmartCard Daemon and possibly more in the future.

%description -l pl.UTF-8
libgpg-error jest biblioteką definiującą wartości błędów wspólne dla
komponentów GnuPG. Są wśród nich GPG, GPGSM, GPGME, GPG-Agent,
libgcrypt, pinentry, SmartCard Daemon i inne - w przyszłości.

%package devel
Summary:	Header files for libgpg-error
Summary(pl.UTF-8):	Pliki nagłówkowe dla libgpg-error
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
libgpg-error is a library that defines common error values for all
GnuPG components. Among these are GPG, GPGSM, GPGME, GPG-Agent,
libgcrypt, pinentry, SmartCard Daemon and possibly more in the future.

This package contains the header files needed to develop programs that
use these libgpg-error.

%description devel -l pl.UTF-8
libgpg-error jest biblioteką definiującą wartości błędów wspólne dla
komponentów GnuPG. Są wśród nich GPG, GPGSM, GPGME, GPG-Agent,
libgcrypt, pinentry, SmartCard Daemon i inne - w przyszłości.

Pakiet zawiera pliki nagłówkowe niezbędne do kompilowania programów
używających biblioteki libgpg-error.

%package static
Summary:	Static version of libgpg-error library
Summary(pl.UTF-8):	Statyczna wersja biblioteki libgpg-error
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
libgpg-error is a library that defines common error values for all
GnuPG components. Among these are GPG, GPGSM, GPGME, GPG-Agent,
libgcrypt, pinentry, SmartCard Daemon and possibly more in the future.

This package contains the static libgpg-error libraries.

%description static -l pl.UTF-8
libgpg-error jest biblioteką definiującą wartości błędów wspólne dla
komponentów GnuPG. Są wśród nich GPG, GPGSM, GPGME, GPG-Agent,
libgcrypt, pinentry, SmartCard Daemon i inne - w przyszłości.

Pakiet zawiera statyczne biblioteki libgpg-error.

%prep
%setup -q
%patch0 -p1

%{__rm} po/stamp-po

%build
%{__gettextize}
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__automake}
%configure \
	%{?with_static_libs:--enable-static}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT/%{_lib}
mv -f $RPM_BUILD_ROOT%{_libdir}/libgpg-error.so.* $RPM_BUILD_ROOT/%{_lib}
ln -sf /%{_lib}/$(basename $RPM_BUILD_ROOT/%{_lib}/libgpg-error.so.*.*.*) \
	$RPM_BUILD_ROOT%{_libdir}/libgpg-error.so

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README THANKS
%attr(755,root,root) %{_bindir}/gpg-error
%attr(755,root,root) /%{_lib}/libgpg-error.so.*.*.*
%attr(755,root,root) %ghost /%{_lib}/libgpg-error.so.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/gpg-error-config
%attr(755,root,root) %{_libdir}/libgpg-error.so
%{_libdir}/libgpg-error.la
%{_includedir}/gpg-error.h
%{_aclocaldir}/gpg-error.m4

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libgpg-error.a
%endif

#%files... lisp or -n lisp-%{name} ???
#%defattr(644,root,root,755)
#%{_datadir}/common-lisp/gpg-error*
%changelog
* Tue Jun 25 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libgpg-error.git;a=log;h=master

* Tue Jun 25 2013 Jakub Bogusz <qboosh@pld-linux.org> be45929
- updated to 1.12
- updated pl.po-update patch

* Fri Mar 01 2013 Jakub Bogusz <qboosh@pld-linux.org> 59fb9dc
- updated to 1.11
- updated pl.po-update patch
- removed obsolete gpg_error_config patch

* Thu Oct 28 2010 Jakub Bogusz <qboosh@pld-linux.org> baaf280
- updated to 1.10
- updated pl.po-update patch

* Thu Aug 05 2010 Jakub Bogusz <qboosh@pld-linux.org> 716d224
- updated to 1.9
- updated pl.po-update patch

* Sat May 08 2010 Jakub Bogusz <qboosh@pld-linux.org> d43bb33
- updated to 1.8
- updated patches

* Fri Dec 26 2008 Jakub Bogusz <qboosh@pld-linux.org> 7b25538
- updated to 1.7
- updated pl.po-update patch

* Fri Dec 26 2008 Jakub Bogusz <qboosh@pld-linux.org> cea670a
- updated for 1.7

* Wed Oct 31 2007 Jakub Bogusz <qboosh@pld-linux.org> 35cefa4
- updated to 1.6
- updated pl.po-update patch

* Wed Oct 31 2007 Jakub Bogusz <qboosh@pld-linux.org> 68d4267
- updated for 1.6

* Sat Jul 21 2007 witekfl <witekfl@pld-linux.org> 9abbe11
- added bcond_without static_libs

* Tue Feb 13 2007 tommat <tommat@pld-linux.org> 9274dbb
- get rid of -L passing lo linker - fixing multilib packages

* Tue Feb 13 2007 tommat <tommat@pld-linux.org> 36f2689
- added gpg-error-config patch to get rid of -L passing to linker

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 67bfd86
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 08113de
- converted to UTF-8

* Fri Dec 01 2006 Jakub Bogusz <qboosh@pld-linux.org> b0954fe
- updated to 1.5, updated pl.po-update patch

* Fri Dec 01 2006 Jakub Bogusz <qboosh@pld-linux.org> 0fb5a11
- updated for 1.5

* Sun Nov 26 2006 Marcin Banasiak <marcin.banasiak@gmail.com> 2ac47d8
- release 2 (rebuild with P: *.la)

* Fri Sep 15 2006 Jakub Bogusz <qboosh@pld-linux.org> 3330bc9
- updated for 1.4

* Fri Sep 15 2006 Jakub Bogusz <qboosh@pld-linux.org> bd0125c
- updated to 1.4

* Fri Mar 17 2006 Jakub Bogusz <qboosh@pld-linux.org> 0574e73
- updated to 1.3, updated pl.po-update patch

